Batch Place Orders
Request URL
POST /stapi/v1/batchOrders
Request Parameters
| Name | Type | Description |
|---|---|---|
| symbol | STRING | Trading pair, e.g., BTC-USDT |
| items | ARRAY | Specific order parameters, maximum 20 items |
| side | ENUM | Buy/sell direction: see OrderSide |
| type | ENUM | Order type: see OrderType |
| clientOrderId | STRING | Client custom order ID |
| timeInForce | ENUM | Time in force: see TimeInForce |
| quantity | DECIMAL | Order quantity |
| quoteOrderQty | DECIMAL | Order by quote quantity |
| price | DECIMAL | Order price |
| selfTradePreventionMode | ENUM | Self-trade prevention mode |
| postOnly | BOOLEAN | Post only flag |
Response Parameters
| Name | Type | Description |
|---|---|---|
| code | STRING | Response Code |
| msg | STRING | Response Message |
| success | BOOLEAN | Success Flag |
| data | INTEGER | Data Payload |
Request Example
{
"symbol": "BTC-USDT",
"items": [
{
"clientOrderId": "3df07fac151306b5aa08633191ec15d266a8673af213a77cf9faeb52b99af004",
"type": "LIMIT",
"price": 100002,
"quantity": 0.0011,
"timeInForce": "GTC",
"selfTradePreventionMode": "EXPIRE_BOTH",
"side": "BUY"
}
]
}Response Example
{
"code": "0",
"data": true,
"msg": "Request successful",
"success": true
}Error Codes
| Error Code | Description |
|---|---|
| 500 | Internal Server Error |
| 620001 | Insufficient balance |
| 620003 | Order validation failed |
| 620004 | Exceeds unlock limit |
| 620005 | System exception |
| 621001 | User not logged in |
| 621002 | Trading not open |
| 621004 | Trading restricted by risk control |
| 621005 | User status validation failed |
| 621006 | Price validation failed |
| 621008 | Order quote quantity too low |
| 621009 | Order quote quantity too high |
| 621010 | Exceeds maximum buy price |
| 621011 | Below minimum sell price |
| 621014 | Order quote quantity validation failed |
| 621016 | Order quote quantity too low |
| 621017 | Order quote quantity too high |
| 621021 | Order base quantity too low |
| 621022 | Order base quantity too high |
| 621023 | Base precision exceeds limit |
| 621025 | Price precision exceeds limit |
| 621026 | Quote precision exceeds limit |
| 700052 | Order count exceeded the limit |
Code Example
Last updated on: